Bug 136147 - local variable used before set
Summary: local variable used before set
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diskdumputils (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira Imamura
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 11:44 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: RHEA-2005-264
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 15:44:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:263 low SHIPPED_LIVE diskdumputils enhancement update 2005-05-18 04:00:00 UTC
Red Hat Product Errata RHEA-2005:264 low SHIPPED_LIVE diskdumputils enhancement update 2005-06-09 04:00:00 UTC

Description David Binderman 2004-10-18 11:44:40 UTC
Description of problem:

I just tried to compile package diskdumputils-0.6.1-1 from package
Redhat Fedora Core 3 Test 3.

The compiler said

savecore.c(335): remark #592: variable "last_time" is used before its
value is set

The source code is

        if (tm - last_time < 1)

I agree with the compiler. Maybe last_time should be declared static ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira Imamura 2004-10-19 14:33:10 UTC
Thank you for your report.
I was able to confirm the problem that you reported. As you pointed 
out, last_time should be a static variable. I plan to modify it 
shortly.


Comment 2 Akira Imamura 2004-12-08 21:06:30 UTC
This problem has been fixed on diskdumputils-0.6.4-0.

Comment 3 Tim Powers 2005-05-18 15:44:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-263.html



Note You need to log in before you can comment on or make changes to this bug.